Bug 1271992 (CVE-2015-0856) - CVE-2015-0856 sddm: Access to the KDE crash handler
Summary: CVE-2015-0856 sddm: Access to the KDE crash handler
Status: CLOSED CURRENTRELEASE
Alias: CVE-2015-0856
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151014,repor...
Keywords: Security
Depends On: 1271993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 08:54 UTC by Adam Mariš
Modified: 2016-01-12 13:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 13:37:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2015-10-15 08:54:31 UTC
A vulnerability in sddm was found allowing shell access to the sddm user in case of a crash. Some themes may use KDE components which will automatically load KDE's crash handler. If the greeter were to then somehow crash, that would leave a crash handler allowing other actions, albeit as the locked down SDDM user. Only SDDM users using the breeze theme from plasma-workspace are affected.

Upstream patch:

https://github.com/sddm/sddm/commit/4cfed6b0a625593fb43876f04badc4dd99799d86

Comment 1 Adam Mariš 2015-10-15 08:54:58 UTC
Created sddm tracking bugs for this issue:

Affects: fedora-all [bug 1271993]

Comment 2 Fedora Update System 2015-10-31 16:09:35 UTC
sddm-0.12.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-11-13 01:53:40 UTC
sddm-0.12.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.